OpenAI API DocsCommunity translation · Official structure

Resources

Files — Delete

OpenAI API endpoint method reference.

English source
This English page is rendered from the official Markdown mirror in this repository.View on OpenAI ↗

For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.

Delete file

delete /files/{file_id}

Delete a file and remove it from all vector stores.

Path Parameters

  • file_id: string

Returns

  • FileDeleted object { id, deleted, object }

    • id: string

    • deleted: boolean

    • object: "file"

      • "file"

Example

curl https://api.openai.com/v1/files/$FILE_ID \
    -X DELETE \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "id",
  "deleted": true,
  "object": "file"
}

Example

curl https://api.openai.com/v1/files/file-abc123 \
  -X DELETE \
  -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "file-abc123",
  "object": "file",
  "deleted": true
}